import {render, screen, cleanup} from '@testing-library/react'
import { MemoryRouterProvider } from 'next-router-mock/MemoryRouterProvider';
import '@testing-library/jest-dom'
import Amounts from "../pages/amount";
import fetch, {Response} from 'node-fetch';

jest.mock('node-fetch');

describe('Tests sur le graphe du nombre de ventes', () => {
    beforeEach(() => {
        fetch.mockReturnValue(Promise.resolve({
            json: () => Promise.resolve({ data: [] })
        }));
        render(<Amounts />)
    })
    afterEach(() => {
        fetch.mockClear();
        cleanup();
    })
    test('Page de base', () => {
        const spinner = screen.getByTestId("spinner")
        expect(spinner).toBeInTheDocument();
    })
})